summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/refind/README13
-rw-r--r--system/refind/refind.SlackBuild89
-rw-r--r--system/refind/refind.info10
-rw-r--r--system/refind/slack-desc19
-rw-r--r--system/refind/slackware-banner.pngbin0 -> 27832 bytes
-rw-r--r--system/refind/slackware-banner.svg136
6 files changed, 267 insertions, 0 deletions
diff --git a/system/refind/README b/system/refind/README
new file mode 100644
index 0000000000..32616eec8e
--- /dev/null
+++ b/system/refind/README
@@ -0,0 +1,13 @@
+rEFInd (An EFI boot manager utility)
+
+A graphical boot manager for EFI- and UEFI-based computers, such as all
+Intel-based Macs and recent (most 2011 and later) PCs. rEFInd presents
+a boot menu showing all the EFI boot loaders on the EFI-accessible
+partitions, and optionally BIOS-bootable partitions on Macs.
+EFI-compatible OSes, including Linux, provide boot loaders that rEFInd
+can detect and launch. rEFInd can launch Linux EFI boot loaders such
+as ELILO, GRUB Legacy, GRUB 2, and 3.3.0 and later kernels with EFI
+stub support.
+
+This script does not build the boot manager from source, in stead it uses
+the pre-build binary then convert to Slackware's.
diff --git a/system/refind/refind.SlackBuild b/system/refind/refind.SlackBuild
new file mode 100644
index 0000000000..1a71c2d311
--- /dev/null
+++ b/system/refind/refind.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for refind
+
+# Copyright 2014 Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=refind
+VERSION=${VERSION:-0.8.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" != "x86_64" -a "$ARCH" != "i486" ]; then
+ echo "Platform $ARCH not supported."
+ exit
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-bin-$VERSION
+unzip $CWD/$PRGNAM-bin-${VERSION}.zip
+cd $PRGNAM-bin-$VERSION
+chown -R root:root .
+
+REFIND_SHARE_DIR=$PKG/usr/share/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/sbin
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/etc/${PRGNAM}.d/keys
+mkdir -p $REFIND_SHARE_DIR
+
+# copy keys
+cp keys/* $PKG/etc/${PRGNAM}.d/keys
+cp -ra refind install.sh fonts banners $REFIND_SHARE_DIR
+cp mkrlconf.sh mvrefind.sh $PKG/usr/sbin
+cp -a docs/* *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+# remove unnecessary package
+if [ "$ARCH" == "x86_64" ]; then
+ rm -rf $REFIND_SHARE_DIR/refind/drivers_ia32 \
+ $REFIND_SHARE_DIR/refind/tools_ia32 \
+ $REFIND_SHARE_DIR/refind/refind_ia32.efi
+else
+ rm -rf $REFIND_SHARE_DIR/refind/drivers_x64 \
+ $REFIND_SHARE_DIR/refind/tools_x64 \
+ $REFIND_SHARE_DIR/refind/refind_x64.efi
+fi
+# include a slackware banner made by me, including the svg version
+cp $CWD/slackware-banner.* $REFIND_SHARE_DIR/banners
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/refind/refind.info b/system/refind/refind.info
new file mode 100644
index 0000000000..af67db629a
--- /dev/null
+++ b/system/refind/refind.info
@@ -0,0 +1,10 @@
+PRGNAM="refind"
+VERSION="0.8.3"
+HOMEPAGE="http://www.rodsbooks.com/refind/index.html"
+DOWNLOAD="http://sourceforge.net/projects/refind/files/0.8.3/refind-bin-0.8.3.zip"
+MD5SUM="c944a3f4f3017ee267a00dbf964cfc9a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/system/refind/slack-desc b/system/refind/slack-desc
new file mode 100644
index 0000000000..c716bba875
--- /dev/null
+++ b/system/refind/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+refind: refind (An EFI boot manager utility)
+refind:
+refind: A graphical boot manager for EFI and UEFI-based computers, such as all
+refind: Intel-based Macs and recent (most 2011 and later) PCs. rEFInd presents
+refind: a boot menu showing all the EFI boot loaders on the EFI-accessible
+refind: partitions, and optionally BIOS-bootable partitions on Macs.
+refind: EFI-compatible OSes, including Linux, provide boot loaders that rEFInd
+refind: can detect and launch. rEFInd can launch Linux EFI boot loaders such
+refind: as ELILO, GRUB Legacy, GRUB 2, and 3.3.0 and later kernels with EFI
+refind: stub support.
+refind: Home page: http://www.rodsbooks.com/refind/
diff --git a/system/refind/slackware-banner.png b/system/refind/slackware-banner.png
new file mode 100644
index 0000000000..3458904c3d
--- /dev/null
+++ b/system/refind/slackware-banner.png
Binary files differ
diff --git a/system/refind/slackware-banner.svg b/system/refind/slackware-banner.svg
new file mode 100644
index 0000000000..78baf4d4d0
--- /dev/null
+++ b/system/refind/slackware-banner.svg
@@ -0,0 +1,136 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+ xmlns:dc="http://purl.org/dc/elements/1.1/"
+ xmlns:cc="http://creativecommons.org/ns#"
+ xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+ xmlns:svg="http://www.w3.org/2000/svg"
+ xmlns="http://www.w3.org/2000/svg"
+ xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+ xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+ width="716.16858"
+ height="246.74951"
+ id="svg2"
+ version="1.1"
+ inkscape:version="0.48.4 r9939"
+ sodipodi:docname="slackware-banner.svg"
+ inkscape:export-filename="slackware-banner.png"
+ inkscape:export-xdpi="90"
+ inkscape:export-ydpi="90">
+ <defs
+ id="defs4" />
+ <sodipodi:namedview
+ id="base"
+ pagecolor="#ffffff"
+ bordercolor="#666666"
+ borderopacity="1.0"
+ inkscape:pageopacity="0.0"
+ inkscape:pageshadow="2"
+ inkscape:zoom="1"
+ inkscape:cx="397.44654"
+ inkscape:cy="94.748334"
+ inkscape:document-units="px"
+ inkscape:current-layer="layer1"
+ showgrid="true"
+ inkscape:window-width="960"
+ inkscape:window-height="1043"
+ inkscape:window-x="960"
+ inkscape:window-y="37"
+ inkscape:window-maximized="0"
+ showguides="false"
+ inkscape:snap-from-guide="false"
+ inkscape:object-paths="true"
+ inkscape:snap-global="true"
+ showborder="false"
+ inkscape:showpageshadow="false"
+ fit-margin-top="0"
+ fit-margin-left="0"
+ fit-margin-right="0"
+ fit-margin-bottom="0">
+ <inkscape:grid
+ type="xygrid"
+ id="grid3005"
+ empspacing="5"
+ visible="true"
+ enabled="true"
+ snapvisiblegridlinesonly="true"
+ originx="226.53154px"
+ originy="8.6054773px" />
+ </sodipodi:namedview>
+ <metadata
+ id="metadata7">
+ <rdf:RDF>
+ <cc:Work
+ rdf:about="">
+ <dc:format>image/svg+xml</dc:format>
+ <dc:type
+ rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+ <dc:title></dc:title>
+ </cc:Work>
+ </rdf:RDF>
+ </metadata>
+ <g
+ inkscape:label="Layer 1"
+ inkscape:groupmode="layer"
+ id="layer1"
+ transform="translate(226.53154,-814.21814)">
+ <rect
+ style="fill:#000000;stroke:#000000;stroke-width:0;stroke-miterlimit:4;stroke-dasharray:none"
+ id="rect2985"
+ width="716.16858"
+ height="246.74951"
+ x="-226.53154"
+ y="814.21814"
+ inkscape:export-filename="/root/slackware-banner.png"
+ inkscape:export-xdpi="90"
+ inkscape:export-ydpi="90" />
+ <text
+ xml:space="preserve"
+ style="font-size:120px;font-style:normal;font-variant:normal;font-weight:500;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#ffffff;fill-opacity:1;stroke:none;font-family:CMU Typewriter Text Variable Width;-inkscape-font-specification:CMU Typewriter Text Variable Width Medium"
+ x="-133.22945"
+ y="931.62817"
+ id="text2991"
+ sodipodi:linespacing="125%"
+ inkscape:export-filename="/root/slackware-banner.png"
+ inkscape:export-xdpi="90"
+ inkscape:export-ydpi="90"><tspan
+ sodipodi:role="line"
+ id="tspan3003"
+ x="-133.22945"
+ y="931.62817">Slackware</tspan></text>
+ <text
+ xml:space="preserve"
+ style="font-size:48px;font-style:normal;font-variant:normal;font-weight:200;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#ffffff;fill-opacity:1;stroke:none;font-family:CMU Typewriter Text;-inkscape-font-specification:CMU Typewriter Text Ultra-Light"
+ x="168.72957"
+ y="968.2403"
+ id="text3023"
+ sodipodi:linespacing="125%"
+ inkscape:transform-center-x="36.42857"
+ inkscape:transform-center-y="-14.832038"
+ inkscape:export-filename="/root/slackware-banner.png"
+ inkscape:export-xdpi="90"
+ inkscape:export-ydpi="90"><tspan
+ sodipodi:role="line"
+ id="tspan3025"
+ x="168.72957"
+ y="968.2403">l i n u x</tspan></text>
+ <text
+ xml:space="preserve"
+ style="font-size:36px;font-style:italic;font-variant:normal;font-weight:500;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#ffffff;fill-opacity:1;stroke:none;font-family:CMU Typewriter Text;-inkscape-font-specification:CMU Typewriter Text Medium Italic"
+ x="-70.634323"
+ y="1068.5151"
+ id="text3063"
+ sodipodi:linespacing="125%"
+ transform="scale(1.0429907,0.95878132)"><tspan
+ sodipodi:role="line"
+ id="tspan3067"
+ x="-70.634323"
+ y="1068.5151">http://www.slackware.com</tspan></text>
+ <path
+ style="fill:none;stroke:#ffffff;stroke-width:2.50000000000000000;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+ d="m -152,909.3622 0,48 309,0"
+ id="path3783"
+ inkscape:connector-curvature="0" />
+ </g>
+</svg>